=== AISC_COM/Makefile ===
# 
# This directory contains the general parts of the ARB communication interface
#
# Directory AISC
# 	contains the AISC-code (AISC=ARB Integrated Source Codegenerator?)
# 	used to build up communication interfaces.
#
# Directory C
# 	contains general client/server code (used for all interfaces)
#
# The specific interfaces are build in $(ARBHOME)/XXXX_COM directories
# and rely on the code here.

proto:
		$(MAKE) -C C proto
