=== AWT/Makefile ===
# INCLUDE und GLOBALS MAIN CC cflags werden von aussen uebergeben

.SUFFIXES: .o .cxx .depend

OBJECTS =	\
		AWT_input_mask.o AWT_hotkeys.o \
		AWT_www.o AWT_tables.o AWT_irstree.o \
		AWT_asciiprint.o AWT_map_key.o AWT_tree_cmp.o AWT_seq_colors.o \
		AWT_pro_a_nucs.o AWT_csp.o AWT_canvas.o AWT_dtree.o AWT_tree.o AWT_tree_cb.o AWT_nei.o \
		AWT_filter.o AWT_sel_boxes.o AWT_canio.o AWT_nds.o \
		AWT_query_and_functions.o AWT_file_selection.o \
		AWT_preset.o AWT_seq_dna.o AWT_seq_protein.o AWT_seq_simple_pro.o \
		AWT_codon_table.o AWT_iupac.o AWT_config_manager.o AWT_advice.o AWT_db_browser.o \
		AWT_attributes.o AWT_changekey.o AWT_item_sel_list.o AWT_macro.o AWT_translate.o

$(MAIN): $(OBJECTS)
	$(LINK_SHARED_LIB) $(@:.a=).$(SHARED_LIB_SUFFIX) $(OBJECTS)
	touch $@

.cxx.o:
	$(CPPLIB) $(cflags) -c $<  $(CPPINCLUDES)

#	$(CPPLIB) $(cflags) -c -D_USE_AW_WINDOW $<  $(CPPINCLUDES)

awt_tree_cb.hxx: AWT_tree_cb.cxx
	rm -f $@
	../MAKEBIN/aisc_mkpt -w $@ -C $? >$@

clean:
	rm -f $(OBJECTS) *.a *.so

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl

AWT_advice.o: awt.hxx
AWT_advice.o: awt_advice.hxx
AWT_advice.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_advice.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_advice.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_advice.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_advice.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_advice.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_advice.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_advice.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_advice.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_advice.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_advice.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_asciiprint.o: awt.hxx
AWT_asciiprint.o: awt_asciiprint.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_attributes.o: awt_attributes.hxx
AWT_attributes.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_attributes.o: $(ARBHOME)/INCLUDE/aw_root.hxx

AWT_canio.o: awt.hxx
AWT_canio.o: awt_canvas.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_canio.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_canio.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_canio.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_canvas.o: awt.hxx
AWT_canvas.o: awt_canvas.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_changekey.o: awt.hxx
AWT_changekey.o: awt_item_sel_list.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_changekey.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_codon_table.o: awt.hxx
AWT_codon_table.o: awt_codon_table.hxx
AWT_codon_table.o: awt_iupac.hxx
AWT_codon_table.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_codon_table.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_codon_table.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_codon_table.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_codon_table.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_codon_table.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_config_manager.o: awt.hxx
AWT_config_manager.o: awt_config_manager.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_csp.o: awt.hxx
AWT_csp.o: awt_csp.hxx
AWT_csp.o: awt_pro_a_nucs.hxx
AWT_csp.o: awt_sel_boxes.hxx
AWT_csp.o: awt_tree.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_csp.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_csp.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_csp.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_csp.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_csp.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_csp.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_csp.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_csp.o: $(ARBHOME)/INCLUDE/BI_helix.hxx

AWT_db_browser.o: awt.hxx
AWT_db_browser.o: awt_pro_a_nucs.hxx
AWT_db_browser.o: awt_tree.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/inline.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/smartptr.h

AWT_dtree.o: awt.hxx
AWT_dtree.o: awt_attributes.hxx
AWT_dtree.o: awt_canvas.hxx
AWT_dtree.o: awt_dtree.hxx
AWT_dtree.o: awt_nds.hxx
AWT_dtree.o: awt_pro_a_nucs.hxx
AWT_dtree.o: awt_tree.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_preset.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_dtree.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_file_selection.o: awt.hxx
AWT_file_selection.o: awtlocal.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_file_selection.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_filter.o: awt.hxx
AWT_filter.o: awt_pro_a_nucs.hxx
AWT_filter.o: awt_sel_boxes.hxx
AWT_filter.o: awt_tree.hxx
AWT_filter.o: awtfilter.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_filter.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_filter.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_filter.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_filter.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_filter.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_filter.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_filter.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_filter.o: $(ARBHOME)/INCLUDE/aw_window.hxx

AWT_hotkeys.o: awt_hotkeys.hxx

AWT_input_mask.o: awt.hxx
AWT_input_mask.o: awt_hotkeys.hxx
AWT_input_mask.o: awt_input_mask.hxx
AWT_input_mask.o: awt_input_mask_internal.hxx
AWT_input_mask.o: awt_www.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/smartptr.h

AWT_irstree.o: awt_canvas.hxx
AWT_irstree.o: awt_dtree.hxx
AWT_irstree.o: awt_nds.hxx
AWT_irstree.o: awt_pro_a_nucs.hxx
AWT_irstree.o: awt_tree.hxx
AWT_irstree.o: $(ARBHOME)/INCLUDE/ad_k_prot.h
AWT_irstree.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_irstree.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_irstree.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_irstree.o: $(ARBHOME)/INCLUDE/arbdb.h
