=== debian/changelog ===
arb (5.5-5ubuntu1) trusty; urgency=medium

  * Rebuild against glew 1.10.
  * Fix build with recent GL (?), Motif (?).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2014 09:05:19 +0100

arb (5.5-5) unstable; urgency=low

  * build-depend on libtiff-dev instead of libtiff4-dev (thanks for the
    patch to Logan Rosen <logan@ubuntu.com>)
    Closes: #729769
  * cme fix dpkg-control
  * cme fix dpkg-copyright
  * canonical Vcs fields
  * debian/patches/hardening.patch: Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Wed, 04 Dec 2013 09:24:14 +0100

arb (5.5-4) unstable; urgency=low

  * Build-Depends: libglew-dev instead of libglew1.5-dev
    Closes: #714327

 -- Andreas Tille <tille@debian.org>  Fri, 28 Jun 2013 09:42:35 +0200

arb (5.5-3) unstable; urgency=low

  * debian/control:
     - Restrict arb to architectures
         amd64 i386 kfreebsd-i386 kfreebsd-amd64
       because only there raxml is fullfilled.  This makes sense because
       arb will most probably used only on these architectures anyway.
       Closes: #714268
     - Remove Dependency from openjdk which is not needed any more
       according to upstream
  * debian/arb-common.README.debian: Explain restriction to certain
    architectures
  * debian/arb.README.debian: Updated about architecture restriction
    and other things

 -- Andreas Tille <tille@debian.org>  Thu, 27 Jun 2013 14:52:57 +0200

arb (5.5-2) unstable; urgency=low

  [ Tim Booth ]
  * debian/rules: Make sure arb_edit4 will be really built and abort package
    building process if not

  [ Andreas Tille ]
  * Rebuild against libmotiv-dev in main
    Closes: #713061
  * Add 4.6.3, 4.7.3 and 4.8.[0-3] to ALLOWED_GCC_VERSIONS
    Closes: #713219
  * debian/control:
     - remove DM-Upload-Allowed
     - Build-Depends: libglu1-mesa-dev
     - add raxml to Depends and do not build third party copy any more
       (debian/patches/60_use_debian_packaged_raxml.patch)
  * debian/patches/*: DEP3 comments
  * debian/patches/50_build_naligner.patch: Fix build issue that was
    caused by some brocken $(CFLAGS)
  * debian/rules: use xz compression

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jun 2013 09:42:03 +0200

arb (5.5-1) unstable; urgency=low

  * New upstream version (+adapted patches)
  * Standards-Version: 3.9.4 (no changes needed)
  * debian/po: Add Slovak po-debconf translation (Thanks to
    Slavko <slavko@slavino.sk> for the translation)
    Closes: #686275
  * debian/rules: Add '-lm' as suggested in patch by Konstantinos Margaritis
    <konstantinos.margaritis@freevec.org> to fix the build problem on armhf.
    This together with new upstream closes: #692499

 -- Andreas Tille <tille@debian.org>  Tue, 11 Dec 2012 09:59:08 +0100
