=== debian/watch ===
version=3
# opts="uversionmangle=s/_//g;s/^/0.0./" \
#        http://download.arb-home.de/src/arbsrc_([[:digit:]].*)\.(?:tar\.gz|tar|tgz)$

opts="downloadurlmangle=s/$/arbsrc.tgz/,filenamemangle=s/\/$/.tgz/" \
   http://download.arb-home.de/release/ arb_(\d+.*)/
